Roomx module failure

Joined
May 25, 2010
Messages
121
Points
16
I have a problem in Roomx hotel module, all tabs are working well except the "Company Report" and "Booking" tabs, they give blank screen.

after checking the SSL log, I found this error:

Code:
[Tue Apr 05 11:24:11 2016] [error] [client 192.168.1.25] PHP Warning:  require_once(libs/jpgraph/jpgraph.php) [<a href='function.require-once'>function.require-once</a>]: failed to open stream: No such file or directory in /var/www/html/modules/rx_company_rep/index.php on line 30, referer: https://192.168.1.16/index.php?menu=rx_billing_rep
[Tue Apr 05 11:24:11 2016] [error] [client 192.168.1.25] PHP Fatal error:  require_once() [<a href='function.require'>function.require</a>]: Failed opening required 'libs/jpgraph/jpgraph.php' (include_path='/var/www/html/modules/rx_company_rep/libs:/var/www/html/libs:.:/usr/share/pear:/usr/share/php') in /var/www/html/modules/rx_company_rep/index.php on line 30, referer: https://192.168.1.16/index.php?menu=rx_billing_rep

Please help.
 
Joined
Dec 3, 2007
Messages
8,069
Points
88
Hi

what's the elx version is used?
Ad what's the RoomX Version?
 
Joined
Dec 3, 2007
Messages
8,069
Points
88
Without answer of you, i think that you are under Elastix 4.0 and RoomX 2.0.108, correct?
 
Joined
May 25, 2010
Messages
121
Points
16
no, I use elastix 2.5
anyway I have downloaded the missing package and Roomx worked well.

Thanks.
 
Joined
Dec 3, 2007
Messages
8,069
Points
88
Ok great if all is right.
In any cases, you may have this kind of issue if you try to install RoomX 2.0.108 under Elx 4.0.
RoomX 2.0.108 is not fully compatible with Elastix 4.0
I made a new RoomX version to be compatible with it, (2.0.110) but not avaiable yet on Elastix repos.
 
Joined
Dec 3, 2007
Messages
8,069
Points
88
Hi.

RoomX 2.0.10 is out right now.
However, the themes are changed also.
I believed that these changes been available only for Elx 4.0. but not!
So, there's a problem with /var/www/html/libs/jpgraph folder.
This one is not completely removed.
So, you need to make:
# ln -s /usr/share/php/jpgraph /var/www/html/libs/jpgraph

That's all.
 

Members online

No members online now.

Latest posts

Forum statistics

Threads
30,993
Messages
131,109
Members
17,716
Latest member
Orbit114
Top